%define	name	toppler
%define	version	1.1.1
%define	release	1mdk
%define	Summary	Reimplementation of the old game known as Tower Toppler or Nebulous

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://heanet.dl.sourceforge.net/sourceforge/toppler/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		toppler-1.0.1-fix-scorefile-location.patch.bz2
Patch1:		%{name}-1.0.4-gamesdatadir-fix.patch.bz2
License:	GPL
URL:		http://toppler.sourceforge.net/
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel SDL_mixer-devel zlib-devel
PreReq:		rpm-helper

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .peroyvind

%build
%configure2_5x	--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Tower Toppler" \
  longtitle="%{Summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games
touch $RPM_BUILD_ROOT%{_localstatedir}/games/toppler.hsc
chmod a+w $RPM_BUILD_ROOT%{_localstatedir}/games/toppler.hsc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%create_ghostfile %{_localstatedir}/games/toppler.hsc root games 664

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS README
%attr(664, root, games) %ghost %{_localstatedir}/games/toppler.hsc
%attr(2755, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man?/%{name}*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.1-1mdk
- 1.1.1

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.6-3mdk
- Rebuild with new menu

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.0.6-2mdk
- Rebuild

* Sun Feb 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.6-1mdk
- 1.0.6

* Mon Jan 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5

* Sun Jan 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- fix buildrequires (lib64..)
- add locales
- fix path to games data (P1)

* Thu Oct 16 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.3-1mdk
- 1.0.3
- don't bzip2 icons in srpm
- cosmetics

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.2-2mdk
- rebuild

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.2-1mdk
- 1.0.2
- use %%{_gamesbindir} and %%{_gamesdatadir}
- fix summary macro so that we don't get the summary from debug package in menu item

* Thu May 22 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- new version

* Wed Sep  4 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-8mdk
- fix manpage and savefile because Jure Repinc <jlp@holodeck1.com>
  won't stop spamming cooker about that

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.96-6mdk
- Remove NO_XALF from menu entry

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-5mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-4mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-3mdk
- rebuild to link against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-2mdk
- rebuild for new alsa

* Fri Mar 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-1mdk
- new version

* Fri Feb  1 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.73-1mdk
- new version

* Fri Jan 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.72-1mdk
- first mdk package
